import request from '@/utils/request'

// 标签列表
export function list(data) {
  return request({
    url: `/tag/pageList`,
    method: 'get',
    data
  })
}

// 新增标签
export function create(data) {
  return request({
    url: `/tag/addPage`,
    method: 'post',
    data
  })
}

// 全部内容列表
export function contentList(data) {
  return request({
    url: `/tag/searchTagPage`,
    method: 'post',
    data
  })
}

// 已添加的内容列表
export function findList(data) {
  return request({
    url: `/tag/findList`,
    method: 'post',
    data
  })
}

// 标签详情
export function detail(id) {
  return request({
    url: `/tag/findDeatilById/${id}`,
    method: 'get'
  })
}

// 编辑标签
export function edit(data) {
  return request({
    url: `/tag/editPage`,
    method: 'post',
    data
  })
}

// 新增频道内容
export function createTag(data) {
  return request({
    url: `/tag/addtagPage`,
    method: 'post',
    data
  })
}

// 删除已选的频道内容
export function remove(id) {
  return request({
    url: `/tag/delete/${id}`,
    method: 'delete'
  })
}

// 删除列表标签
export function getRemove(id) {
  return request({
    url: `/tag/remove/${id}`,
    method: 'get'
  })
}

// 删除子标签
export function removeChildren(id) {
  return request({
    url: `/tag/removeChildren/${id}`,
    method: 'get'
  })
}